Confusing text: Be careful with old versions! ... You should always use the latest version of an add-on.

NEW
Unassigned

Status

addons.mozilla.org Graveyard
Public Pages
--
trivial
2 years ago
6 months ago

People

(Reporter: Peter Kehl, Unassigned)

Tracking

Details

(Reporter)

Description

2 years ago
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:44.0) Gecko/20100101 Firefox/44.0
Build ID: 20160111185352

Steps to reproduce:

1. Submit a new version of an existing XPI.
2. Visit the addon's  webpage - e.g. https://addons.mozilla.org/en-US/firefox/addon/selite-run-all-favorites/. Until someone at AMO reviews the new version, this page shows the last reviewed version - OK.
3. Follow link 'See complete version history' (in this case  https://addons.mozilla.org/en-US/firefox/addon/selite-run-all-favorites/versions/). That lists previous versions, the current reviewed version, and the new version (not reviewed yet).

This page has the following text above the listing of versions:

"Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on."

Where 'latest version' is to the add-on's main page (e.g. https://addons.mozilla.org/en-US/firefox/addon/selite-run-all-favorites/).

That text is a problem. That 'latest version' is not the latest version - since it's older than the (unreviewed) version shown at the top of versions listing. Developers point to these  https://addons.mozilla.org/en-US/firefox/addon/XXX/versions/ pages specifically so that users can download the very newest versions, even before they get reviewed. However, this text confuses the user.

If you ake users away from this page, then what's the purpose of the page....

Suggested changes:

OLD: Be careful with old versions!
NEW: Be careful with old or new unreviewed versions!

OLD: You should always use the latest version of an add-on.
NEW: You should always use the latest reviewed version of an add-on, unless you specifically want a different version.
(Reporter)

Updated

2 years ago
Summary: These versions are displayed for reference and testing purposes. → Confusing text: Be careful with old versions! ... You should always use the latest version of an add-on.
(Assignee)

Updated

a year ago
Product: addons.mozilla.org → addons.mozilla.org Graveyard
(Reporter)

Comment 1

a year ago
I object to 'product' field of this ticket being 'addons.mozilla.org Graveyard', because this affects current versions of add-ons, too. Hence, 'product' should be 'addons.mozilla.org'.

Comment 2

a year ago
(In reply to Peter Kehl from comment #1)
> I object to 'product' field of this ticket being 'addons.mozilla.org
> Graveyard', because this affects current versions of add-ons, too. Hence,
> 'product' should be 'addons.mozilla.org'.

I agree, but the https://bugzilla.mozilla.org/describecomponents.cgi?product=addons.mozilla.org looks not have a suitable component.
Severity: normal → trivial
Status: UNCONFIRMED → NEW
Ever confirmed: true
New bugs are being filed on GitHub: https://github.com/mozilla/addons-server/issues/new. Most of the addons.mozilla.org bugs have been moved to Graveyard to make it clear that new bugs shouldn't be filed there. Existing bugs are still being triaged and addressed (depending on priorities).
(Reporter)

Comment 4

6 months ago
Copied to https://github.com/mozilla/addons-server/issues/4157.
You need to log in before you can comment on or make changes to this bug.